<?php 
require_once "../modelos/Factornidademedidad.php";

$factorunidademedidad	=	new Factornidademedidad();

$idfactorunidademedidad	=	isset($_POST["idfactorunidademedidad"])? limpiarCadena($_POST["idfactorunidademedidad"]):"";
$nombre					=	isset($_POST["nombre"])? limpiarCadena($_POST["nombre"]):"";
$descripcion			=	isset($_POST["descripcion"])? limpiarCadena($_POST["descripcion"]):"";
$factorconversion		=	isset($_POST["factorconversion"])? limpiarCadena($_POST["factorconversion"]):"";

switch ($_GET["op"]) {
	case 'guardaryeditar':
	if (empty($idfactorunidademedidad)) {
		$rspta=$factorunidademedidad->insertar($nombre,$descripcion,$factorconversion);
		echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
	}else{
         $rspta=$factorunidademedidad->editar($idfactorunidademedidad,$nombre,$descripcion,$factorconversion);
		echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
	}
	break;
	

	case 'desactivar':
		$rspta=$factorunidademedidad->desactivar($idfactorunidademedidad);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
	break;
	case 'activar':
		$rspta=$factorunidademedidad->activar($idfactorunidademedidad);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
	break;
	
	case 'mostrar':
		$rspta=$factorunidademedidad->mostrar($idfactorunidademedidad);
		echo json_encode($rspta);
	break;

    case 'listar':
		$rspta=$factorunidademedidad->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>($reg->condicion)?'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->idfactorunidademedidad.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idfactorunidademedidad.')">
						<i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->idfactorunidademedidad.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-primary btn-xs" onclick="activar('.$reg->idfactorunidademedidad.')">
						<i class="fa fa-check"></i></button>',
            "1"=>$reg->nombre,
			"2"=>$reg->descripcion,
			"3"=>number_format($reg->factorconversion,2,',','.'),
            "4"=>($reg->condicion)?'<span class="badge bg-green">Activado</span>':'<span class="badge bg-red">Desactivado</span>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
}
 ?>